body {
  font-family: "Fira Sans", sans-serif;
  font-weight: 400;
  line-height: 1.5385;
  color: #333;
  font-size: 12px;
}

.spinner {
  display: inline-block;
  -webkit-animation: rotation 1s linear infinite;
  animation: rotation 1s linear infinite;
}

.open > .dropdown-menu {
  display: block;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  border-width: 0;
  font-weight: 400;
}

.dropdown-menu > li > a {
  font-size: 0.87em;
  display: block;
  padding: 8px 10px;
  clear: both;
  font-weight: 500;
  line-height: 1.42857143;
  color: #333;
  white-space: nowrap;
}

.my-scrollbar {
  width: 100%;
  height: 100%;
  overflow-x: auto;
  overflow-y: hidden;
}

.skin-purple-light .sidebar-menu > li.active > a {
  font-weight: 500;
  color: #3f51b5;
  background: #eeededcc;
  font-weight: 500;
}

.fa {
  font-size: 1em;
}

label {
  font-weight: 500;
}

.content-wrapper,
.right-side {
  background-color: #eeeded;
}

.sidebar-menu .treeview-menu > li > a {
  padding: 12px 5px 12px 42px;
  display: block;
  font-size: 12px;
  font-weight: 400;
  color: rgba(51, 51, 51, 0.85);
}

.skin-purple-light .main-header .logo {
  background-color: #fff;
}

.skin-purple-light .main-header .logo:hover {
  background-color: #fff;
}

.skin-purple-light .sidebar-menu > li.header {
  text-transform: uppercase;
  background: #fff;
  font-weight: 300;
  font-size: 10px;
}

.skin-purple-light .main-header .navbar {
  background-color: #00a9e7;
}

.skin-purple-light .wrapper,
.skin-purple-light .main-sidebar,
.skin-purple-light .left-side {
  background-color: #fff;
}

.skin-purple-light .content-header {
  background: white;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  padding: 10px 15px;
}

.content-header > .breadcrumb {
  float: right;
  background: #fff;
  margin-top: 0;
  margin-bottom: 0;
  font-size: 12px;
  padding: 5px 7px;
  position: absolute;
  top: 7px;
  right: 10px;
  border-radius: 2px;
  letter-spacing: 1px;
}

.skin-purple-light .sidebar-menu > li > a {
  border-left: 3px solid transparent;
  font-weight: 500;
  font-size: 1.12em;
}

.sidebar-menu > li > a > .fa,
.sidebar-menu > li > a > .glyphicon {
  width: 26px;
}

.sidebar-menu > li > a > ion-icon {
  margin-right: 12px;
  vertical-align: middle;
}

.sidebar-menu > li > a > span {
  vertical-align: middle;
}

vertical-align: middle;

.skin-purple-light .sidebar-menu > li > .treeview-menu {
  background: #fff;
}

.skin-purple-light .treeview-menu > li.active > a,
.skin-purple-light .treeview-menu > li > a:hover {
  color: rgba(51, 51, 51, 0.85);
  background: #f4f4f5;
}

.skin-purple-light .sidebar a {
  color: rgba(51, 51, 51, 0.85);
}

.skin-purple-light .main-header .logo {
  text-align: start;
  font-size: 13pt;
  font-family: inherit;
  color: #0079a5;
  border-right: 1px solid #00a9e7;
}

.form-control {
  border-radius: 4px;
}

.box {
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
}

.skin-purple-light .sidebar-menu > li.header {
  text-transform: uppercase;
  background: #fff;
  font-weight: 600;
  font-size: 10px;
  font-size: 0.6875em;
  letter-spacing: 2px;
  color: rgba(51, 51, 51, 0.5);
  margin-top: 2em;
}

.main-header .sidebar-toggle:before {
  content: "";
}

ion-icon {
  vertical-align: middle;
  position: relative;
}

ion-icon.right {
  margin-left: 12px;
  margin-top: -1px;
}

ion-icon.left {
  margin-right: 12px;
  margin-top: -1px;
}

i.left {
  margin-right: 8px;
}

.table-form > tbody > tr > th {
  padding: 8px;
  line-height: 1.42857143;
  padding-top: 15px;
  width: 1%;
  white-space: nowrap;
  font-weight: 500;
  border-top: 0px solid #f4f4f4;
}

.table-form > tbody > tr > td {
  vertical-align: bottom;
  border-top: 0px solid #f4f4f4;
}

.table-form-indise {
  margin-bottom: 0px;
}

.table-form-indise > tbody > tr > th {
  padding: 8px;
  line-height: 1.42857143;
  padding-top: 3px;
  vertical-align: middle;
  width: 1%;
  white-space: nowrap;
  font-weight: 500;
  border-top: 0px solid #f4f4f4;
}

.table-form-indise > tbody > tr > td {
  vertical-align: top;
  border-top: 0px solid #f4f4f4;
  padding: 0px 8px 8px 0px;
}

.table > thead > tr > th {
  white-space: nowrap;
  font-weight: 500;
  table-layout: fixed;
}

@media (max-width: 767px) {
  .table-form th {
    white-space: inherit;
  }

  .table-form td:first-child {
    white-space: inherit;
  }
}

/* grocery crud */
.gc-container {
  border-width: 0;
}

.gc-container .header-tools {
  padding: 5px 5px 10px 5px;
  border-left: 0px solid #dddddd;
  border-right: 0px solid #dddddd;
}

.gc-container .footer-tools {
  padding: 5px 5px 10px 5px;
  border: 0px solid #dddddd;
  border-top: none;
  margin-bottom: 20px;
}

.gc-container .search-button {
  text-align: center;
  padding: 4px 4px;
}

.table-label {
  background: #3f51b5;
}

.gc-container .grocery-label {
  color: white;
}

.gc-container .clear-all-search {
  cursor: pointer;
  margin-left: -16px;
  margin-top: 9px;
  position: absolute;
}

.gc-container .clear-search {
  position: relative;
  margin-left: -18px;
  margin-top: 10px;
  cursor: pointer;
}

.container-full {
  height: 100%;
  position: fixed;
  overflow: auto;
}

.container-full .box {
  height: 100%;
}

.container-full .box-body {
  padding-bottom: 110px;
}

.container-full .box-footer {
  bottom: 0px;
  position: fixed;
  width: 100%;
}

.user-panel {
  border-bottom: 1px solid #eeeded;
}

.skin-purple-light .main-header li.user-header {
  background-color: #3f51b5;
}

.navbar-nav > .user-menu > .dropdown-menu > li.user-header > p {
  color: rgb(255 255 255);
  font-size: 14px;
  margin-top: 16px;
}

.navbar-nav > .user-menu > .dropdown-menu > li.user-header {
  height: 100%;
}

.input-group .input-group-addon {
  border-radius: 0px;
  border-color: #d2d6de;
  background-color: #f4f4f4;
  width: 50px;
  font-style: italic;
}

i.right {
  margin-right: 10px;
  margin-top: 4px;
  font-size: 12px;
}

.ui-timepicker-div dl dt {
  height: 0px;
  margin-bottom: 0px;
  font-weight: 500;
  font-size: 12px;
}

.ui-timepicker-div {
  margin-top: 10px;
  padding: 10px 10px 0px 10px;
  border-top: 1px solid #aaaaaa;
}

.ui_tpicker_time {
  font-weight: 600;
}

.ui-datepicker .ui-datepicker-prev,
.ui-datepicker .ui-datepicker-next {
  top: 4px;
}

.ui-button {
  background-image: unset !important;
  background-color: #ffffff;
}

.ui-button:hover,
.ui-button:active,
.ui-button:focus {
  color: #333;
  background-color: #eee;
}

.qq-upload-button:hover {
  background: #eeeded;
  background-image: unset !important;
}

.qq-upload-button {
  padding: 4px 15px;
  border-radius: 4px;
  background: #fff;
  background-image: unset !important;
}

.nav-tabs-custom {
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  border-width: 0;
}

.sidebar-menu .treeview-menu > li > a {
  padding: 12px 5px 12px 38px;
}

.skin-purple-light .sidebar-menu > li > .treeview-menu {
  background: #fff;
}

.box {
  position: relative;
  border-radius: 3px;
  background: #ffffff;
  border: 1px solid #d2d6de;
  margin-bottom: 20px;
  width: 100%;
  box-shadow: unset;
}

h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
  font-family: inherit;
}

.box-header > .fa,
.box-header > .glyphicon,
.box-header > .ion,
.box-header .box-title {
  font-size: 16px;
  font-weight: 400;
}

.btn-default {
  background-color: #ffffff;
}

.pagination > li > a {
  background: #ffffff;
}

.pagination > .disabled > a,
.pagination > .disabled > a:focus,
.pagination > .disabled > a:hover,
.pagination > .disabled > span,
.pagination > .disabled > span:focus,
.pagination > .disabled > span:hover {
  color: #c0b4b4;
  cursor: not-allowed;
  background-color: #ffffff;
  border-color: #ddd;
}

@keyframes rotation {
  0% {
    -webkit-transform: rotate(0);
    transform: rotate(0);
  }

  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

.spinner {
  display: inline-block;
  -webkit-animation: rotation 1s linear infinite;
  animation: rotation 1s linear infinite;
}

.btn-loading:before {
  position: absolute;
  content: "";
  top: 50%;
  left: 50%;
  margin: -0.64285714em 0 0 -0.64285714em;
  width: 1.28571429em;
  height: 1.28571429em;
  border-radius: 500rem;
  border: 0.2em solid rgba(0, 0, 0, 0.15);
}

.btn-loading:after {
  position: absolute;
  content: "";
  top: 50%;
  left: 50%;
  margin: -0.64285714em 0 0 -0.64285714em;
  width: 1.28571429em;
  height: 1.28571429em;
  -webkit-animation: button-spin 0.3s linear;
  animation: button-spin 0.3s linear;
  -webkit-animation-iteration-count: infinite;
  animation-iteration-count: infinite;
  border-radius: 500rem;
  border-color: #fff transparent transparent;
  border-style: solid;
  border-width: 0.2em;
  -webkit-box-shadow: 0 0 0 1px transparent;
  box-shadow: 0 0 0 1px transparent;
}

.btn-loading {
  position: relative;
  cursor: wait;
  text-shadow: none !important;
  color: transparent !important;
  opacity: 1;
  pointer-events: none;
  -webkit-transition: all 0s linear, opacity 0.1s ease;
  transition: all 0s linear, opacity 0.1s ease;
}

@-webkit-keyframes button-spin {
  from {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  to {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes button-spin {
  from {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  to {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

.nav-progress {
  display: table;
  overflow: hidden;
  margin: 0;
  width: 100%;
  height: 30px;
  border: 1px solid #d2d6de;
  background-color: #f7f7f7;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  margin-bottom: 20px;
}

.nav-progress > div {
  position: relative;
  display: table-cell;
  padding: 6px 0;
  color: #880e4f;
  text-align: center;
  font-size: 1.125em;
  line-height: 1.25em;
}

.nav-progress > div.complete {
  background-color: green;
  color: #fff;
}

.nav-progress > div.complete .arrow {
  border: 2px solid #ffffff !important;
  background: green !important;
}

.nav-progress > div.active {
  background-color: #3f51b5;
  color: #fff;
}

.nav-progress > div.active .arrow {
  background: #3f51b5 !important;
}

.arrow-wrapper {
  position: absolute;
  top: 0px;
  right: 0px;
}

.arrow-wrapper .arrow-cover {
  position: absolute;
  overflow: hidden;
  width: 24px;
  height: 30px;
}

.arrow-wrapper .arrow-cover .arrow {
  position: absolute;
  left: -18px;
  z-index: 2;
  width: 30px;
  height: 30px;
  border: 2px solid #3f51b5;
  background: transparent;
  -webkit-border-radius: 6px;
  -moz-border-radius: 6px;
  border-radius: 6px;
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  -o-transform: rotate(45deg);
  transform: rotate(45deg);
}

[type="radio"]:checked + label,
[type="radio"]:not(:checked) + label {
  position: relative;
  padding-left: 28px;
  cursor: pointer;
  line-height: 20px;
  display: inline-block;
  color: #666;
}

[type="radio"]:checked + label:before,
[type="radio"]:not(:checked) + label:before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 18px;
  height: 18px;
  border: 1px solid #ddd;
  border-radius: 100%;
  background: #fff;
}

[type="radio"]:checked + label:after,
[type="radio"]:not(:checked) + label:after {
  content: "";
  width: 10px;
  height: 10px;
  background: #f87da9;
  position: absolute;
  top: 4px;
  left: 4px;
  border-radius: 100%;
  -webkit-transition: all 0.2s ease;
  transition: all 0.2s ease;
}

[type="radio"]:not(:checked) + label:after {
  opacity: 0;
  -webkit-transform: scale(0);
  transform: scale(0);
}

[type="radio"]:checked + label:after {
  opacity: 1;
  -webkit-transform: scale(1);
  transform: scale(1);
}

.pagination {
  margin: 0;
  margin-bottom: 10px;
}

.grid-view .button-column {
  width: 1%;
  white-space: nowrap;
}

.swal2-popup {
  width: auto !important;
  min-width: 32em;
}

.skin-purple-light .sidebar-menu > li > a {
  font-size: 1em;
}

.readonly_label {
  border: 1px solid #aaa;
  border-radius: 4px;
  padding: 5px;
  background: #eee;
}

.box-header > .fa,
.box-header > .glyphicon,
.box-header > .ion,
.box-header .box-title {
  font-size: 13px;
  font-weight: 500;
}

.st-key {
  width: 1%;
  text-align: right;
  padding-right: 5px !important;
  padding-left: 5px !important;
  white-space: nowrap;
  vertical-align: middle !important;
  background: #ededed;
  max-width: 30%;
}

.stacktable {
  margin-bottom: 10px !important;
}

@media screen and (max-width: 600px) {
  table.table-mobile {
    border: 0;
  }

  table.table-mobile thead {
    border: none;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
  }

  table.table-mobile tr {
    display: block;
  }

  table.table-mobile td {
    display: block;
  }

  table.table-mobile td::before {
    content: attr(data-label);
    float: left;
    font-weight: bold;
    text-transform: uppercase;
  }

  table.table-mobile td:last-child {
    border-bottom: 0;
  }

  table.table-mobile td:first-child {
    white-space: nowrap;
  }

  .only-desktops {
    display: none;
  }

  .only-mobiles {
    display: block;
  }
}

.only-mobiles {
  display: none;
}

.btn-group.block {
  display: flex;
}

.block .btn {
  flex: 1;
}

.mb-10 {
  margin-bottom: 10px;
}

.text-underline {
  border-bottom: 1px dashed #aeb4d8;
}

.grid-view .summary {
  color: #baad9f;
  font-style: italic;
  font-size: 10px;
}

.mobile {
  display: none;
}

@media (max-width: 600px) {
  .desktop {
    display: none;
  }

  .mobile {
    display: inline-block;
    padding-left: 15px;
    margin-top: 2px;
  }
}

.errorSummary {
  border: 1px solid #ff000042;
  border-radius: 4px;
  padding: 5px;
}

.errorMessage {
  font-size: 85%;
  color: red;
}

.fancybox-content {
  padding: 14px !important;
}

table.detail-view {
  background: white;
  border-collapse: collapse;
  width: 100%;
  margin: 0;
}

table.detail-view th,
table.detail-view td {
  font-size: 0.9em;
  border: 1px white solid;
  padding: 0.3em 0.6em;
  vertical-align: top;
}

table.detail-view th {
  text-align: right;
  width: 160px;
}

table.detail-view tr.odd {
  background: #e5f1f4;
}

table.detail-view tr.even {
  background: #f8f8f8;
}

table {
  font-size: 1em;
  margin-bottom: 20px;
}

table.table-form{
 
}

table.detail-view {
  background: white;
  border-collapse: collapse;
  width: 100%;
  margin: 0;
}

table.detail-view th,
table.detail-view td {
  font-size: 0.9em;
  border: 1px white solid;
  padding: 0.3em 0.6em;
  vertical-align: top;
}

table.detail-view tr.odd {
  background: #eee;
}

table.detail-view tr.even {
  background: #f8f8f8;
}

table.detail-view td {
  padding: 0.6em 0.6em;
  background: #ffffff;
  border: 1px #eeeded solid;
  word-wrap: break-word;
}

table.detail-view th {
  font-weight: 500;
  border: 1px #c1c1c13d solid;
  text-align: left;
  width: 30%;
  background: #eeeeee;
  color: #555555;
  text-transform: capitalize;
  padding: 0.6em 0.6em;
  width: 1%;
  white-space: nowrap;
}

.pagination-sm > li > a,
.pagination-sm > li > span {
  padding: 2px 8px;
}

.loading {
  position: fixed;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  opacity: 0.4;
  background-color: #fff;
  z-index: 9999;
  text-align: center;
}

.loading-image {
  z-index: 10000;
}

ol,
ul {
  padding-inline-start: 15px;
}

.mfp-move-horizontal.mfp-ready.mfp-bg {
  opacity: 0.5 !important;
}

.notifyjs-bootstrap-base {
  font-weight: 500 !important;
  background-image: unset;
  padding: 5px 10px;
  background-color: #fff;
  color: #423d3d;
}

.hidden-checkbox input {
  display: none;
}

::-webkit-scrollbar {
  width: 5px;
  height: 5px;
}

::-webkit-scrollbar-track {
  background-color: #9497ab;
}

::-webkit-scrollbar-thumb {
  box-shadow: inset 0 0 6px rgb(49 4 151);
}

input[type="checkbox"],
input[type="radio"] {
  margin: 1px 0 0;
}

.form-control {
  width: unset;
  height: 30px;
  padding: 5px 10px;
  font-size: 12px;
}

.form-control-long {
  width: 100%;
}

@media only screen and (max-device-width: 640px) {
  .form-control {
    width: 100%;
  }

  .table-form > tbody > tr > td {
    padding: 0px 8px 10px 8px;
  }

  .table-form > tbody > tr > th {
    padding: 0px 8px 0px 8px;
  }
}

.box-header > .fa,
.box-header > .glyphicon,
.box-header > .ion,
.box-header .box-title {
  font-size: 18px;
}

.white-popup {
  max-width: 800px;
}

.white-popup h3 {
  margin-top: -10px;
}

.checkbox.list {
  border: 1px solid #eee;
  padding: 10px;
  margin-top: 0px;
}

ol {
  padding-inline-start: 10px;
}

.note-toolbar .btn-sm {
  padding: 2px 4px;
  font-size: 10px;
}

.input-group .form-control {
  width: unset;
}

.input-group-btn {
  width: unset;
}

.sidebar-menu > li .label {
  padding-top: 5px;
  padding-bottom: 2px;
}

i.right {
  font-size: inherit;
  margin-top: inherit;
}

.label {
  font-weight: 400;
}

.label > i.right {
  margin-top: 3px;
}

.img-responsive {
  width: 100%;
}

.main-header .logo .logo-lg {
  font-weight: bold;
  font-style: italic;
}
